from sqlalchemy.orm import Session

from src.api.models.chat import Chat
from src.api.schemas.chat import Chat as ChatPydantic


def get_chat_id(db: Session, user_id: int):
    return db.query(Chat).filter(Chat.user_id == user_id).first()


def get_user_from_chat(db: Session, chat_id: str):
    return db.query(Chat).filter(Chat.chat_id == chat_id).first()


def create_chat(db: Session, chat: ChatPydantic):
    db_chat = db.query(Chat).filter(Chat.user_id == chat.user_id).first()
    if db_chat is not None:
        return

    db_chat = Chat(
        user_id=chat.user_id,
        chat_id=chat.chat_id,
    )
    db.add(db_chat)
    db.commit()
    db.refresh(db_chat)
    return db_chat


def remove_chat(db: Session, chat_id: str):
    db.query(Chat).filter(Chat.chat_id == chat_id).delete()
    db.commit()
